Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GLSLProgram::CmdAttach Class Reference

Command object for attaching another GLSL Program. More...

`#include <OgreGLSLProgram.h>`

Inheritance diagram for Ogre::GLSLProgram::CmdAttach:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &shaderNames)

## Detailed Description

Command object for attaching another GLSL Program.

Definition at line 57 of file OgreGLSLProgram.h.

## Member Function Documentation

String Ogre::GLSLProgram::CmdAttach::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 135 of file OgreGLSLProgram.cpp. References Ogre::String.

void Ogre::GLSLProgram::CmdAttach::doSet | ( | void * | target,
|  | const String & | shaderNames
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 140 of file OgreGLSLProgram.cpp. References Ogre::String, and Ogre::StringVector.

The documentation for this class was generated from the following files:

- OgreGLSLProgram.h
- OgreGLSLProgram.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:37 2004